generic_shutdown_super
Prev | Registration and Superblocks | Next

## Name

generic_shutdown_super — common helper for ->`kill_sb`

## Synopsis

`void generic_shutdown_super (` | struct super_block * | sb`)`;

## Arguments

`sb`

  superblock to kill

## Description

`generic_shutdown_super` does all fs-independent work on superblock shutdown. Typical ->`kill_sb` should pick all fs-specific objects that need destruction out of superblock, call `generic_shutdown_super` and release aforementioned objects. Note: dentries and inodes _are_ taken care of and do not need specific handling.

Upon calling this function, the filesystem may no longer alter or rearrange the set of dentries belonging to this super_block, nor may it change the attachments of dentries to inodes.

Prev | Up | Next
deactivate_super | Home | sget